from divinegift.cipher import decrypt_str, get_cipher, encrypt_str

cipher_key = b'rKKvXPL7OefUAfscsduYOWdtHHC1V0Mo0n5VgLR19tE='

console_template = b'gAAAAABck0mvPCumzVu7AKqSjjJMVRWImPtldwkYK6CZGffaIFy6kKDMDGdlRrApwqceK5Gf0UZgN-XvZpuNMeXMgCS42Bavy0xmqb-kS11ikuKQu9_G52fx91nIK2iaHdatGJYnTAvXVCor-pZG6KG9zQpk9NraNItRFnSeFFg3KPmvkwgHVYjMt2verqUDK06idXcG8amkn7bB7c56Mw6ZKzk8KeVyf-1NyxF-4WqLmEFNtkiwhjN4fVV9Przx1hTy5rixT2FwWcNgs8pkmj7wYIQo6FHCd0YiZESZMjMBdDeSNlleCENmfw2gNj9wq3__YCjJSXhUjvFdzN5BIRmovwtZkY4-IjApqwPta1ZVxk8CFdIS93f-GHuPzh-6y9wkj_utL5ry8hW5SnKk_dBwSHalxl-S7pjT4ZfxKYS-JbP4NrLUdZi7qDxd_TfzjNlYHjk7TlFO46IytF7eqwCpH08Gmy0IHItAvxO0LyeA2TSAzPBvCA7Pn7adp-ywRLFgF5MnkhxCjSvy5CFxvXJY9Z3OWjyA8K_Lf5cqP01vQf1lTBdjQ9yuDkR1sSFqtFQ8o0Ucd-41YNndz5nuYh3sbBx_FzGTPSch7kTkGNsozjLpqSQxMXFVU-bYZFmFMTx3Q-BomXtnoIjaJvL-gIJPbQmYen7TMXXRIoGY7Zen37yx2rTAOo74wMZWUV9APM4EPWPjKnzrjZRyrFXh6KAVe0399MUZ_RxWtm7J-66mz4bXBifd-a4Bsuc0DlCeSYES6thUdhT4vfMKZ6YU55950bg5iDxC8plFkaKSEDoOXv2LfBzaUlbPfiLoyd0l6dXpJbt2e15MPPaZdMYVUuS010pH9Bucyf0m7IEg5cam7UYwHgRvoWYUijI4mEzNRipbvg-2nQlbNiXe4PRxEpFHozgP7RjoTyEu9COQi9hm0MU8BnJiUmYeydtSXvxOUiacSMWysmkDa6Z9jr5I1jEq3Qp2fvslXzDkd9CQcBqOY2WxUDR6E3tJkzrbyyy2LXhBkuKIjwkeprX8676SCyQQPLuvH8OFw9XrPvzrwuWw7l8G_Qfnu78eGgXUYarlArSlJwnHxUxKPg05wrQnzS-ZTzh7hrPSwH8wwnCflWJL-X2W-J1u80gv9y1Mlt2cClX7oK1nUlsEsR9h_7-fIvQlQx3mjsbPTW6x_6LV2TWwHOP_MK-wDC5LUX7vDxSWE6U88IW79zFTm1yvHoCK3hwLSu8JWO2ttkXdKeK5ahRw-eXvgYxxITSxl_33VNpKFgEEVe2T2YhzERGOkLH3tuJ5fYzS5jTCWM8Qd3g2FxCBilBa9oX8sB5wfVEw652TuEa_lyJwKX0zZzbEAWuThueYlMu65Pe2B6FQYJFGEi36T6zI1HqUWxm3dY7y2Tk5_OQ3ZdG2tPIcSo9mPlDUu24md0qoqO7xxWhyHmLpeeuH7YgDYuF-jCmEHrwmkh4OC9P2GYegAaUnF3oosy4UcFz8qvjurZYvZyUHPkUpD8u0G0eVMDm0IdnQyja8n2eEmdk__p5erFgG4Tl-PoIXedsXECONISMoUvtINqzEr64mcSVNC1fxfQUQKS45vRZgEYWK0gqfkeyhTcH-UJ3UwwGhexOYXiU71MXK0aWmXh7qM8ltT7vufVRdVnhvL_XUyNI2FLDg1B1yLssDshM8hm1u0aXd_scIVBZ11246wUkKnsuFSME6av9xEhr2VvmQcI4VLLj2vNDh3P2SrP-LtSme8_-D9GFGZDFR9ev9lVjeIm6_ZpNCr8cYa1uFpqhuDau6x4_b_pDew0cJEjOR2pW2djJlwpPJP8tkMkjBAw46-PXudsmV0OCI1v_AUCNxf5n0k4kCmsL47sSJNNfyFIQYsQi4zJU08z_7s3w5rllvpOVdIugqTEnS9lrWKKHt21GKydjxNxUNGXShxliCdocGCGOpCBldX4YX0bMMMY1Blja31uIdQxQylLcjHFEP-0Rq1RqgzsCcyDUeFsOy71tWwGqxI9epW_h5HtIjJJpOTfrSn4ErB84NVGq4E0wSsSUI4XxQFIwE-t56SVz7vUwa9LwFbsbp7b15E8B_X3V8Pl5TRf4YDoja6_yA3FVAWtGibppErzqXs2Eajqkf0sR5H2Eb_LTciv-8xHF7r-7IVOW8u31gq9hYrm_5R_yNbIpPF4huG8ZBd0-IgV5JmbBUznT0FcbWiw=='
gui_template = b'gAAAAABcc7gmma_Yb6WFUpFArh0PIh_Kgkk-VGDURE7HRlIp81CwZZVBvozjzyFilBJfSM97lu9f3Ouxs1K06BH710g-W3O-HwehrTvTVGvdPloYKqGsI8wWkvdx7vBP0e-KL1dy1Ld_RuXcR0nrxb57dMIKbgc5EWkLHV82Zal1zapjPdwO0nJYKsmRzIomeDR6JrGvZ3ZOZuD7mxXAWxs9QOSfu7ovDYXpd4Zg1AB9MUrWxVLIn0DmYYb0NrCifS122HgGjyPEqMsPzI2X8bxCp0eD-JCczponz3z1_IT8j7jROLVsSFnFhYjwZmOd7bqoUhZ2_hgRpGFouQlLfgjxvFe62OClMNbkp3mkIiaQNhuTR9lWYyNjOQxtdF6hi8pBix5AvjuH5as4lyzlhHke7nsCrQDba8JGowKNeQxgoqWwDlXwWdHkKyCDSFCUbuFnzLUuq8HnV0t_MoHMtAesIE2lB7kOWdmpMhqwAZYfCX49QOyGm0tSPG1EZAoL3p3ozIlboxKd4aP3pVFJQoi4YIcEWImRQ1dfksYmoE87qvQzSwL6tT2hw_lQ03gOqIKAEP58SiYzTJlMoau5M1qXY1wlgLkmsyP_ql7lOn6PlbkJKcAuSm4XHFdlt5vdUjBipIdJfR0o9OxboIzdnp8QKp_zBmKjrp5hq3Maia-pUZLomnzPxo9_R3waP9ARZNT5kSD4hHM6MkM61cqfEn8ev9hPKsikmjDRdGjPnVVVunHmtMj9P6M5TsXD5-sO7ymFaT_pxul3GuxKZGKSrVGF1ceNWmZtUezvlpjUxYx6-TdjbMgHBWWlpNWi9Ffb2_7L8UwBxBs91BiESBnsYvh9WhnD4czwu8DWoNlPRyEVJuaOWVyZjergqywZTbooXXnLIb_PKwtLfyaaQRxBTiDPuIKWnqZgGaZlXlVNwuo5eYBxuZP059cNBRQxe2oJRzCZ94vIvCBhevwuN7Cdgay8ZviU91cByvPFu8OIQ-Ht2QH9MWc0Zdx8uXh9N9KGUKf_9FaAGSlfNiJBxhh4TmhgnhE9lbLBlSG5u7NyB67AHLzIk6b_EH7KcJjvQT7ZQ2DxLT8sRI7BomDanAbRY7lfZCtC1eC0EMJLMe8troNj4T0C37_PPRLl88QmF7BZwezHi-MeVxnqvTxUJQ2Fa0lmQqwM4DqUr8g9rjQ9WBIJ5mOvLbRPxn_M3xaBaGhH7UKLRSW5hStxZ5eBH1tiD2Xbge_iG_bFPS7O8Onfj5S88XwAHhQOSxBMcbKbIRtgXA9p8GROghvlZClnH0WAWr5YkJ9JJEo_BWofG7dxkdl6Rf_-cuygMFY0dCfSF6HWi6kS4iCgqIjsnUxqax-wS07HV3G6U9Lanq6KVsioaNZvD8OtIHDF42fpjpmHSdH1qu1wRZEYASkZsfe8GtqcW6WvPrMOHVtwTlswF9m64Ua4I22Qch-2UuGXqTL5GZYG53FzLrnziQ24nAmHsmNEpNB-0nXElRDzGfqwHbRDeuM0VatWWQDfJ5KHY_U6_i86XrQspTsz_5W6ozMvjxSs4FrodL8EJ1P7GE2tYLW-bRpmF4w1uFBhHWaRSbuY-blXLVqEzpHRw5JQ_iMF7BSymstldLW18P9e4huOoO9fGNpUwyT38c3LJh6Ffq4NcoIwQK-8RuSEzlGCIi3n84rBSR4M9k-Bvxc9FlPchx8Ya-va-4dHy_EarIIT8i3qnmlAs-Y7OL5SX7q59mixDBOgRjCEWuTQNW8YC4bP29gXFyLbhb76vQs-Oi2o9NyLsKmm5HOPuVtxEDzthBEE4_w9K3GmelDsfEliAG2E4F2uw8S4SprEuxeZRN3sPcX9NiqkdFH5i0lnLpXXx5N3Cqnt5kBk6LWmquRTgVV2DpOUJSU2jzSe21Ez-WhrsNqJeOeqK1HIxYrANSynlOUmmwhOHDii1PsoTTWhMvkn1cLL9PadbB0KjS_RudAIMPCbScWviPRoSMnQnRnYlcYi0FbxDymArj3EN394SHEd0eYHrzVvCYTQ5AtqyTmfQW8z0jNIUiFwARxoBNTkxR5Nn26-22ZL615umNIEA0yKXFRYYj39SGaspuZ_toHu1-kKj0P9-Eh_w9gqI2DZymraD3ADFvFP7rO7e7YMqNHQxVIq_jiRiMiUCBOVfptx_lllEKXCObsk0fx8zj6NCwvf5JGCiwXi5tUTClcMPb9gjcSyLF2wFId7yFb5F5VBz3pD_J3M_LS9m3h_NvMOEbBXHwYPgjyxLHSxTe92v9U2Cbyz5YdFrU0ad1RtVR9S2Tnyw3WX-O4abqBm1wd3tZRPqPHiHCke7Fd07BgpBdiY7LTBl-8lIZNTlAIhca1qVVtI93Y1aTg3nkUBasj9HBj3r60d8GKwZaMCDs05pLlU30jqhVVXhlqPGE87lY1T7ONAl2vDfQDyTRevUD1bB52TMgs_1y5c_v95ODRgZ90VAYQyYPJ9lSAmS2YsW8WatH-T07pbskqgFUvSgOJLKtzSh3ZTL3izeztgZv6fZZKcP1CgW8Fh5sJgX8YcQI91wVE23NSFMbPgtD6I36YFi6a8wX91Of_R7K1165om32djMZvq3rIu4rbr6O8tktVbVJTLAcRTbSNLnkIksrVUlXl4F1A0vkSPLrvuBTZ_yHClcOK3ytYSZbONlgbDXBJwVIw-MKBCXABDSC0oKgvDNCvC5KbTnmslpTA0vZjgI_RgoSRwsb5mY4FlCcccmXY57xzak3_ZpjtjLGtquamIC0Zvd_bHIaYsPtVUnHo4fpnrKJDDsUsJKSPcDipNoUdObXhwfKb3Br8mMSozBzJS1noj0huVRzQiRQaMYyTWPJ6qxO7_5gAnujzrpFxmWCieA4lR_u90Va642RFdFBH-2qlIDdSN9l4cfz7sR-NI2f8kL52xCjhEYPe2Nl00VWwUuLly_CTOWtut3qTukVJSTs-h07UeQHAyE5Hnnndefo_g3XzGLAhjblPK2NERSC5zeXIHnMfXoDYuEHr_V2qdyd9k8p1NZxfjPYVu8aTgPq9NmFXWHj_-EWrync460hDCpreBmZ6rcrCGnZrNzBMSRDqLbAvbl58dcWJLNiwfz7LWg5l0BkAIhLga0INdEP32rIOARNZVQOCNCE963CDKVOd0ewYLO1hHPukLJrruqASFhWkfYobzktOtTLSSZBtYRU2sDZ4oqcq8QUSertAtdl44VchQpo_sy0AfZ9MPg9VVvuObWKc6-lq04LGOYwh7fl0jAaOr_fWEuZh_i7kzFNFsMRXOi7Zvw0hLkJ30mQ5gnpZKp2Txl2qYj7CoH02GKkbeoaH6JQkDz1X_YT0z8y6qrWsYQcWWPCt4zYIXSOK0Yv28PuNfOWrnXMb0SWExBHKK5eCPwRi1fR_HpMu7udPvajCs9IfJE6bm8mYlaX8OGxVSAFfzoi0bTvhY7gup8P_pa5buEUE9AP477shoyg-bhx3zVHMGV7Rr3SJn1L0cBcGci5-GGXSAUSgXVLdq11mu5Tfeplm6LSb3LZNVv87OnaVU9ZFUpI-2ePsH0_-6UeNWE1Z79YCA_vuCg5TIMnip7O71rykxU5NdONqPpVybvWoa98vMcRLzwafbKYzX9t9Bj63TRPrIlkQ8jp09BObL_ZHbtkREjmw0R4V4uPxHAtB7nY9SwA-sF3pdrLr9MoLPlFkIkghjhK-ZqaW8Rn-TvTiab0ygserx5hqAgxMzVT008DnXKAEYXjMixLwWdCOpJgq8cQMQYH1DB7rFMFvuypLNjPG56wo6L-yL8tFGBB0CmzH5nfisvBioGQ=='
config_template = b'gAAAAABck0rkh8rEgpLjo_8JyzATQn76USWK_UvSDyrTfNLvLiRKVWi8KGZbzkumWTLYCqeTs-3QIWPtGO0U6tNfV7S7b8auEGBrOo_c6SVeb73avfMHreLVN6qEjNbNmzhiXlAayoNW2BsxxkobJlPWqRcoEyziI5LB_zcU3-AGTVNfgZax93Z8fiaEuLSBm0wpoKl3TnknlPKI9B9Crxm1vMQbM5sx9_KMrVI6P6JKV3i8hnbR913EebvjtV3UBgR9Otha-S2t5mA9PJH-5izMlBZxcmIehDCCZNJEovS88fWwCsB78GOvFOFErfBtzEeWH5PtHCayaQaHlGBUwD3FR5-KaHM1AYr7JdEtmze_cub34F9iFrCzLZ3sLAFgUWiOhtpbg8ydWyJELuMoR0dRsFr_j6UhvqKEtpn6lVsyOrUP-J3eTSw='
email_config_template = b'gAAAAABck0scImAVgKICRzevI-8meB5ljOHPeUcKBHADXU8uy-nNQ1eCofrLKypE1d0EXpcJrjVloKV_XLBuuY5vzQY10unyVEDQ9vc6QxSCtVvRhCM522-_jalfgYy0yq07H-cJ7zHZFKVolh0I24JdUDhMU0QwdjnWSJ8sbv67hlMat7tYtZ8Fv62sybtO_IIQzd5kZMUNCRjzAQyT82NKYyQ_1GWFLpoUdV-cNwjGPiEn2CtA1mI='


def create_file(filename: str, text: bytes):
    cipher = get_cipher(cipher_key)
    with open(filename, 'w') as f:
        f.write(decrypt_str(text, cipher))


def create_console(filename: str = 'main.py'):
    if not filename.endswith('.py'):
        filename += '.py'
    create_file(filename, console_template)


def create_gui(filename: str = 'main_gui.py'):
    if not filename.endswith('.py'):
        filename += '.py'
    create_file(filename, gui_template)


def create_config(filename: str = 'settings.conf'):
    create_file(filename, config_template)


def add_email_config(filename: str = 'settings.conf'):
    try:
        with open(filename, 'r') as f:
            text = f.read()
        text += ',\n'
    except:
        text = ''
    cipher = get_cipher(cipher_key)
    text += decrypt_str(email_config_template, cipher)
    config_with_email_template = encrypt_str(text, cipher, get_str=False)
    create_file(filename, config_with_email_template)


if __name__ == '__main__':
    pass
